mediastreamer2 2.11.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- amplitude : _MSDtmfGenCustomTone

### - b -

- base : _IceCandidate
- bitrate_limit : _MSVideoConfiguration

### - c -

- check_list : _IceCheckList
- componentID : _IceCandidate

### - d -

- duration : _MSDtmfGenCustomTone

### - e -

- encoding : _MSFmtDescriptor
- event_time : _IceSession
- extra : _MSVideoConfiguration

### - f -

- fmtp : _MSFmtDescriptor
- foundation : _IceCandidate
- foundation_generator : _IceCheckList
- foundations : _IceCheckList
- fps : _MSFmtDescriptor , _MSVideoConfiguration
- frequencies : _MSDtmfGenCustomTone
- frequency : _MSToneDetectorDef

### - g -

- gathering_candidates : _IceCheckList
- gathering_finished : _IceCheckList
- gathering_start_time : _IceCheckList

### - i -

- interval : _MSDtmfGenCustomTone
- is_default : _IceCandidate , _IceCandidatePair
- is_nominated : _IceCandidatePair

### - k -

- keepalive_time : _IceCheckList
- keepalive_timeout : _IceSession

### - l -

- local : _IceCandidatePair , _IcePairFoundation
- local_candidates : _IceCheckList
- local_componentIDs : _IceCheckList
- local_pwd : _IceSession
- local_ufrag : _IceSession
- losing_pairs : _IceCheckList

### - m -

- max_connectivity_checks : _IceSession
- min_amplitude : _MSToneDetectorDef
- min_duration : _MSToneDetectorDef
- mincpu : _MSVideoConfiguration
- mismatch : _IceCheckList

### - n -

- nchannels : _MSFmtDescriptor
- nomination_delay_running : _IceCheckList
- nomination_delay_start_time : _IceCheckList

### - o -

- on_action_suggested : _MSQosAnalyzer
- on_action_suggested_user_pointer : _MSQosAnalyzer

### - p -

- pairs : _IceCheckList
- priority : _IceCandidate , _IceCandidatePair

### - r -

- rate : _MSFmtDescriptor
- remote : _IceCandidatePair , _IcePairFoundation
- remote_candidates : _IceCheckList
- remote_componentIDs : _IceCheckList
- remote_pwd : _IceCheckList , _IceSession
- remote_ufrag : _IceCheckList , _IceSession
- repeat_count : _MSDtmfGenCustomTone
- required_bitrate : _MSVideoConfiguration
- retransmissions : _IceCandidatePair
- role : _IceCandidatePair , _IceSession
- rto : _IceCandidatePair
- rtp_session : _IceCheckList

### - s -

- samplerate : _MSAudioConferenceParams
- send_event : _IceSession
- session : _IceCheckList
- ss : _IceSession
- ss_len : _IceSession
- state : _IceCandidatePair , _IceCheckList , _IceSession
- streams : _IceSession
- stun_server_checks : _IceCheckList

### - t -

- ta : _IceSession
- ta_time : _IceCheckList
- taddr : _IceCandidate
- target_bitrate : _MediaStream
- text : _MSFmtDescriptor
- tie_breaker : _IceSession
- tone_name : _MSDtmfGenCustomTone
- tone_start_time : _MSToneDetectorEvent
- transaction_list : _IceCheckList
- transmission_time : _IceCandidatePair
- triggered_checks_queue : _IceCheckList
- type : _IceCandidate , _MSFmtDescriptor

### - u -

- use_candidate : _IceCandidatePair
- use_dummy_hmac : _IceCandidatePair

### - v -

- valid_list : _IceCheckList
- vsize : _MSFmtDescriptor , _MSVideoConfiguration

### - w -

- wait_transaction_timeout : _IceCandidatePair